/*
 * IsoExclude.java
 *
 * Copyright (c) 2007  Vreixo Formoso
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * See COPYING file for details.
 */

package org.pykix.libburnia.libisofs;

/**
 * Manages files to be excluded when added directories recursively.
 * 
 * FIXME I'm not very sure about to put this in its own class.
 * TODO add java.io.File methods
 * 
 * @author Vreixo Formoso
 * @since 0.1
 */
public class IsoExclude {

	/**
	 * Add the path of a file or directory to ignore when adding a 
	 * directory recursively.
	 * 
	 * @param path
	 * 		The path, on the local filesystem, of the file.
	 */
	public static void addPath(String path) {
		iso_exclude_add_path(path);
	}
	
	/**
	 * Remove a path that was set to be ignored when adding a directory 
	 * recusively.
	 * 
	 * @param path
	 * 		The path, on the local filesystem, of the file.
	 */
	public static void removePath(String path) {
		iso_exclude_remove_path(path);
	}

	/**
	 * Remove all paths that were set to be ignored when adding a 
	 * directory recusively.
	 */
	public static void empty() {
		iso_exclude_empty();
	}
	
	private static native void iso_exclude_add_path(String path);

	private static native void iso_exclude_remove_path(String path);
	
	private static native void iso_exclude_empty();
	
}
